/* Special cases when going into suspend mode (default is deactivation on suspend) */

inline void IO_InitSuspend(void)
{
	PIN_ADD_MASK(CD_SD           , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(WP_SD           , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(CHARGEFAULT     , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(CHARGING        , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(BATT_TEMP_OVER  , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(LIGHTS_DETECT   , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(DOCK_SENSE      , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(DOCK_PRO_SENSE  , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(DOCK_INT        , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(LINEIN_DETECT   , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(FSK_IRQ         , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(SPIMSO          , PIN_INPUT_ON_SUSPEND);

	if (!IO_HaveRegulatorForCodec())
	{
		PIN_ADD_MASK(CDCLK_12MHZ     , PIN_INPUT_ON_SUSPEND);  
		PIN_ADD_MASK(CDCLK           , PIN_INPUT_ON_SUSPEND);  
		PIN_ADD_MASK(I2SSDO          , PIN_INPUT_ON_SUSPEND);  
		PIN_ADD_MASK(I2SSCLK         , PIN_INPUT_ON_SUSPEND);  
		PIN_ADD_MASK(I2SLRCK         , PIN_INPUT_ON_SUSPEND);   
		PIN_ADD_MASK(I2SSDI          , PIN_INPUT_ON_SUSPEND);
	}

	PIN_ADD_MASK(HEADPHONE_DETECT, PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(EXTMIC_DETECT   , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(CTS_DOCK        , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(RTS_DOCK        , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(TXD_DOCK        , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(RXD_DOCK        , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(RXD_DOCK_INT    , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(RXD_BT          , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(CTS_BT          , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(USB_HOST_DETECT , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(ON_OFF          , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(IGNITION        , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(ACPWR           , PIN_INPUT_ON_SUSPEND);
//	PIN_ADD_MASK(ACC_IIC_SDA     , PIN_INPUT_ON_SUSPEND)..;
//	PIN_ADD_MASK(ACC_IIC_SCL     , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(FLEX_ID1        , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(FLEX_ID2        , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(HDD_IRQ         , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(HDD_LED         , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(HDD_RST         , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(USB_RST         , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(LCD_RESET       , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(LCD_CS          , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(GPS_RESET       , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(BT_RESET        , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(BT_MODE         , PIN_ACTIVATE_ON_SUSPEND);
	PIN_ADD_MASK(USB_DREQ        , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(USB_IRQ         , PIN_INPUT_ON_SUSPEND);
	PIN_ADD_MASK(USB_HP          , PIN_ACTIVATE_ON_SUSPEND);
}
