#define NGFFS_NORM_ADDRESS 0x00100
#define NGFFS_ALT_ADDRESS 0x3ff00
#define NGFFS_MASK_ADDRESS 0x3fffe

#define NGFFS_CAL_LEN   16
#define NGFFS_CAL_OFS   0x004
#define NGFFS_CAL_NAME  "cal"

#define NGFFS_ID_LEN    12
#define NGFFS_ID_OFS    0x014
#define NGFFS_ID_NAME   "id"

#define NGFFS_MAC_LEN   6
#define NGFFS_MAC_OFS   0x020
#define NGFFS_MAC_NAME  "mac"

#define NGFFS_VER_LEN    16
#define NGFFS_VER_OFS    0x3fff0
#define NGFFS_VER_NAME   "bootver"

// #define NGFFS_BTCAL_LEN   436
/* MAX_PT_ENTRIES is related to the csrinit main.c program */
/* NGFFS_BTCAL_LEN = ANA_FTRIM (2 bytes) + powertable length (bytes) */
/* powertable is multiple of 4 bytes */
/* MAX_PT_ENTRIES can be set in the furture to 1 if BOTH kernel and csrinit (ramdisk) are updated at the same time */
#define MAX_PT_ENTRIES 1
#define NGFFS_BTCAL_LEN   2+((2+2)*(MAX_PT_ENTRIES + 1))
#define NGFFS_BTCAL_OFS   0x04c
#define NGFFS_BTCAL_NAME  "btcal"

#define NGFFS_SYSFILES 5

#ifndef NGFFS_SYSFILE
extern struct ngffs_sysfile ngffs_sysfiles[];
#else
struct ngffs_sysfile ngffs_sysfiles[] = {
	{ NGFFS_CAL_LEN, NGFFS_CAL_OFS, NGFFS_CAL_NAME, 0x0001 },
	{ NGFFS_ID_LEN , NGFFS_ID_OFS , NGFFS_ID_NAME, 0x0002 },
	{ NGFFS_MAC_LEN, NGFFS_MAC_OFS, NGFFS_MAC_NAME, 0x0004 },
	{ NGFFS_BTCAL_LEN, NGFFS_BTCAL_OFS, NGFFS_BTCAL_NAME, 0x0008 },
	{ NGFFS_VER_LEN, NGFFS_VER_OFS, NGFFS_VER_NAME, 0x0000 }
};
#endif


